/*
 * $Id: net.c,v 1.3 1998/08/14 16:27:30 gregm Exp $
 * GXSNMP -- An snmp management application
 * Copyright (C) 1998 Gregory McLean
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc.,  59 Temple Place - Suite 330, Cambridge, MA 02139, USA.
 *
 * Network specific functions. (not gui related)
 */
#include <config.h>
#include <main.h>
#include "net.h"

/*
 * Function    : add_host_to_network
 * Description : This function will establish a connection from a node to the
 *               network object.
 * Arguments   : network  -- The net_entry structure pointer of the network
 *                           in question.
 *               host     -- The hosts structure pointer of the host in 
 *                           int question.
 * Returns     : None for now.
 */
void 
add_host_to_network (net_entry *network, hosts *host)
{
  g_return_if_fail (network != NULL);
  g_return_if_fail (host != NULL);

  network->nl_hosts = g_slist_append (network->nl_hosts, host);
}

/*
 * Function    : del_host_from_network
 * Description : This function will delete a host from a given network.
 * Arguments   : network  -- The net_entry structure pointer of the network
 *                           in question.
 *               host     -- The hosts structure pointer of the network in 
 *                           question.
 * Returns     : None for now.
 */
void
del_host_from_network (net_entry *network, hosts *host)
{
  g_return_if_fail (network != NULL);
  g_return_if_fail (host != NULL);

  if (g_slist_length (network->nl_hosts) == 0)
    return;
  network->nl_hosts = g_slist_remove (network->nl_hosts, host);
}
/* EOF */

